#version 410

uniform mat4 m_matrix;
uniform float m_opacity;

layout(location = 0) in vec3 position;
layout(location = 5) in vec3 v3ColorIn;

out vec4 v4Color;

void main()
{
    v4Color.xyz = v3ColorIn; v4Color.a = m_opacity;
    gl_Position = m_matrix * vec4(position, 1.0);
}